Update Dataset

Update dataset properties such as name.

POST https://api.futureagi.com/model-hub/dataset/{id}/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

id UUID Required

UUID of the dataset to update.

Request body

name string Required

New name for the dataset.

Response

200 OK
dataset_id string
UUID of the updated dataset.
name string
Updated name of the dataset.

Errors

400 Bad Request Optional
Invalid request parameters.
401 Unauthorized Optional
Invalid or missing API credentials.
404 Not Found Optional
The specified dataset could not be found.
500 Internal Server Error Optional
Unexpected server error.
GET /
Authentication
REQUEST
 
RESPONSE